__gnu_cxx::_RandomAccessContainerConcept(3)

NAME
__gnu_cxx::_RandomAccessContainerConcept -

SYNOPSIS

Detailed Description

  template<class _RandomAccessContainer> struct __gnu_cxx::_RandomAccessContainerConcept< _RandomAccessContainer >

Definition at line 671 of file boost_concept_check.h.

  Public Types
typedef _RandomAccessContainer::const_iterator _Const_iterator
typedef _RandomAccessContainer::const_reference _Const_reference
typedef _RandomAccessContainer::const_reverse_iterator _Const_reverse_iterator
typedef _RandomAccessContainer::size_type _Size_type

  Public Member Functions
void __constraints ()

  Public Attributes
_Size_type __n

Author

Generated automatically by Doxygen for libstdc++ from the source code.